<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2008 rel. 2 (http://www.altova.com) by Jayne Newis (UK Hydrographic Office) -->
<!DOCTYPE xsl:stylesheet [
	<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:s100Base="http://www.iho.int/S100Base">
	<xsl:output method="xml" indent="yes"/>
	<xsl:template match="/">
		<html>
			<body>
				<h1 align="center">
					<a name="top" id="top"/>MPA Product Specification Feature Catalogue</h1>
					<xsl:for-each select="Catalog/catalogInfo">
				<h3>Version <xsl:value-of select="versionNumber"/></h3>
				<h3>Date <xsl:value-of select="versionDate"/></h3>
				</xsl:for-each>
				<br>
				</br>
				<a href="#DatasetAttributes">Dataset Attributes </a>
				<br/>
				<a href="#SimpleAttributes">Simple Attributes </a>
				<br/>
				<a href="#ComplexAttributes">Complex Attributes </a>
				<br/>
				<a href="#AssociationRoles">Association Roles </a>
				<br/>
				<a href="#FeatureAssociations">Feature Associations </a>
				<br/>
				<a href="#InformationTypes">Information Types </a>
				<br/>
				<a href="#Features">Features </a>
				<br>
				</br>

				
				
				
					<h3 align="left">
					<a name="DatasetAttributes" id="DatasetAttributes"/>Dataset Attributes</h3>
				<a href="#Top">Top </a>
				<xsl:for-each select="Catalog/dataSetAttributes">
					<h4>Dataset Attributes					</h4>
					
				
					<table border="1">
						<tr bgcolor="#9acd32">
							<th>Attribute</th>
							<th>Values</th>
							<th>Multiplicity</th>
						</tr>
						<xsl:for-each select="dataSetAttribute">
							<tr>
								<td>
									<xsl:element name="a"><xsl:attribute name="href">#<xsl:value-of select="attribute/@ref"/></xsl:attribute><xsl:value-of select="attribute/@ref"/>
											</xsl:element>
										
								</td>
								<td>
									<xsl:for-each select="permittedValues">
										<xsl:value-of select="value" separator=", "/>
										<br>     </br>
									</xsl:for-each>
								</td>
								<td>
									<xsl:for-each select="multiplicity">
										<xsl:value-of select="lower"/>,<xsl:value-of select="upper"/>
									</xsl:for-each>
								</td>
							</tr>
						</xsl:for-each>
					</table>
				</xsl:for-each>
				
				
				
				
				
				
				
				
				
				
				
				
				
				<h3 align="left">
					<a name="SimpleAttributes" id="SimpleAttributes"/>Simple Attributes</h3>
				<a href="#Top">Top </a>
				<xsl:for-each select="Catalog/simpleAttributes/simpleAttribute">
					<h3>Attribute: <xsl:element name="a"><xsl:attribute name="name"><xsl:value-of select="code"/></xsl:attribute><xsl:attribute name="id"><xsl:value-of select="code"/></xsl:attribute><xsl:value-of select="name"/></xsl:element>
					
					</h3>
					<h4>Definition:    <xsl:value-of select="definition"/>
					</h4>
						<h4>Remarks:    <xsl:value-of select="remarks"/>
					</h4>
					<h4>Code:    <xsl:value-of select="code"/>
					</h4>
					<h4>Type:    <xsl:value-of select="dataType"/>
					</h4>
					<xsl:if test="(dataType='enumeration')">
						<h4>Values:</h4>
						<table border="1">
							<tr bgcolor="#9acd32">
								<th>Code</th>
								<th>Value</th>
								<th>Definition</th>
							</tr>
							<xsl:for-each select="listedValue">
								<tr>
									<td>
										<xsl:value-of select="code"/>
									</td>
									<td>
										<xsl:value-of select="label"/>
									</td>
									<td>
										<xsl:value-of select="definition"/>
									</td>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:if>
					<xsl:if test="(dataType='real')">
						<xsl:for-each select="uom">
							<h4>Units:
					<xsl:value-of select="name"/>
							</h4>
						</xsl:for-each>
					</xsl:if>
					<xsl:if test="(dataType='integer')">
						<xsl:for-each select="uom">
							<h4>Units:
					<xsl:value-of select="name"/>
							</h4>
						</xsl:for-each>
					</xsl:if>
				</xsl:for-each>
				
				<h3 align="left"><a name="ComplexAttributes" id="ComplexAttributes"></a>Complex Attributes</h3>
				<a href="#Top">Top </a>
				<xsl:for-each select="Catalog/complexAttributes/complexAttribute">
				<h4>Attribute: <xsl:element name="a"><xsl:attribute name="name"><xsl:value-of select="code"/></xsl:attribute><xsl:attribute name="id"><xsl:value-of select="code"/></xsl:attribute><xsl:value-of select="name"/></xsl:element>
					<xsl:value-of select="name"/></h4>
					<h4>Code:
					<xsl:value-of select="code"/></h4>
					<h4>Defintion:
					<xsl:value-of select="definition"/></h4>
				
				<table border="1">
					<tr bgcolor="#9acd32">
						<th>Sub Attributes</th>
						<th>Values</th>
						<th>Multiplicity</th>
					</tr>
					<xsl:for-each select="subAttributeBinding">
					<tr>
						<td><xsl:element name="a"><xsl:attribute name="href">#<xsl:value-of select="attribute/@ref"/></xsl:attribute><xsl:value-of select="attribute/@ref"/></xsl:element></td>
						<td>
									<xsl:for-each select="permittedValues">
										<xsl:value-of select="value" separator=", "/>
										<br>     </br>
									</xsl:for-each>
								</td>
						<td><xsl:for-each select="multiplicity"><xsl:value-of select="lower"/>,<xsl:value-of select="upper"/></xsl:for-each></td>
					</tr>
					</xsl:for-each>
					</table>
				</xsl:for-each>
				
				<h3 align="left">
				<a name="AssociationRoles" id="AssociationRoles"/>Association Roles</h3>
				<a href="#Top">Top </a>
				<xsl:for-each select="Catalog/associationRoles/associationRole">
					<h3>Name:
					<xsl:value-of select="name"/>
					</h3>
					<h4>Definition:    <xsl:value-of select="definition"/>
					</h4>
					<h4>Code:    <xsl:value-of select="code"/>
					</h4>
				</xsl:for-each>
				
						<h3 align="left">
				<a name="featureAssociations" id="featureAssociations"/>Feature Associations</h3>
				<a href="#Top">Top </a>
				<xsl:for-each select="Catalog/featureAssociations/featureAssociation">
					<h3>Name:
					<xsl:value-of select="name"/>
					</h3>
					<h4>Definition:    <xsl:value-of select="definition"/>
					</h4>
					<h4>Code:    <xsl:value-of select="code"/>
					</h4>
					<h4>Roles:    <xsl:value-of select="role" separator=","/>
					</h4>
				</xsl:for-each>
				
				<h3 align="left">
					<a name="InformationTypes" id="InformationTypes"/>Information Types</h3>
				<a href="#Top">Top </a>
				<xsl:for-each select="Catalog/informationTypes/informationType">
					<h4>Information Type:
					<xsl:value-of select="name"/>
					</h4>
					<h4>Code:
					<xsl:value-of select="code"/>
					</h4>
					<h4>Defintion:
					<xsl:value-of select="definition"/>
					</h4>
			
					<table border="1">
						<tr bgcolor="#9acd32">
							<th>Attribute</th>
							<th>Values</th>
							<th>Multiplicity</th>
						</tr>
						<xsl:for-each select="attributeBinding">
							<tr>
								<td>
									<xsl:element name="a"><xsl:attribute name="href">#<xsl:value-of select="attribute/@ref"/></xsl:attribute><xsl:value-of select="attribute/@ref"/>
											</xsl:element>
										
								</td>
								<td>
									<xsl:for-each select="permittedValues">
										<xsl:value-of select="value" separator=", "/>
										<br>     </br>
									</xsl:for-each>
								</td>
								<td>
									<xsl:for-each select="multiplicity">
										<xsl:value-of select="lower"/>,<xsl:value-of select="upper"/>
									</xsl:for-each>
								</td>
							</tr>
						</xsl:for-each>
					</table>
				</xsl:for-each>
				
				<h3 align="left">
					<a name="Features" id="Features"/>Features</h3>
				<a href="#Top">Top </a>
				<xsl:for-each select="Catalog/featureTypes/featureType">
					<h4>Feature:
					<xsl:value-of select="name"/>
					</h4>
					<h4>Code:
					<xsl:value-of select="code"/>
					</h4>
					<h4>Defintion:
					<xsl:value-of select="definition"/>
					</h4>
					<h4>Geometric Primitives:
					<xsl:value-of select="permittedPrimitives" separator=", "/>
					</h4>
					<table border="1">
						<tr bgcolor="#9acd32">
							<th>Attribute</th>
							<th>Values</th>
							<th>Multiplicity</th>
						</tr>
						<xsl:for-each select="attributeBinding">
							<tr>
								<td>
									<xsl:element name="a"><xsl:attribute name="href">#<xsl:value-of select="attribute/@ref"/></xsl:attribute><xsl:value-of select="attribute/@ref"/>
											</xsl:element>
										
								</td>
								<td>
									<xsl:for-each select="permittedValues">
										<xsl:value-of select="value" separator=", "/>
										<br>     </br>
									</xsl:for-each>
								</td>
								<td>
									<xsl:for-each select="multiplicity">
										<xsl:value-of select="lower"/>,<xsl:value-of select="upper"/>
									</xsl:for-each>
								</td>
							</tr>
						</xsl:for-each>
					</table>
				</xsl:for-each>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
